#pragma once
#include <map>
struct M_ActivitySetWordData
{
	//ID
	int mID;
	//需要王的数量
	int mQuantityRequired;
	//可兑换次数
	int mNumberOfExchanges;
	//奖励道具列表
	std::vector<int> mRewardList;
	//奖励数量
	std::vector<int> mRewardCount;
};

class M_ActivitySetWord
{
public:
private:
	static std::auto_ptr<M_ActivitySetWord> msSingleton;
public:
	int GetCount();
	const M_ActivitySetWordData* GetData(int ID);
	const std::map<int, M_ActivitySetWordData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static M_ActivitySetWord* GetSingleton();
	static void Release();
private:
	std::map<int, M_ActivitySetWordData> mMapData;
};
